---
title: "Get users' activity"
url: "https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org-id-users-activity"
type: "endpoint"
section: "organization"
slug: "organization/operations/get-v2-organizations-org-id-users-activity"
method: "GET"
path: "/v2/organizations/{org_id}/users-activity"
operation_id: "get-v2-organizations-org-id-users-activity"
authorization: "bearer"
---

# Get users' activity

`GET /v2/organizations/{org_id}/users-activity`

This endpoint allows API users to retrieve activity statistics for each user in an organization.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the organization where the users' activity is retrieved. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `date_from` | integer | Yes | Start of the period, as a Unix timestamp. The period between `date_from` and `date_to` must be shorter than `31` days. |
| `date_to` | integer | Yes | End of the period, as a Unix timestamp. Must be less than `31` days after `date_from`. |

## Responses

### 200

Successful response. Returns the users' activity log.

**Example** (`Successful response`)

```json
{
  "data": [
    {
      "id": "864acea82ba119dafdf45ea8d696a7aaa761b7dd",
      "email": "user1@email.com",
      "signers": 2,
      "documents": 5,
      "sent_documents": 2,
      "signed_documents": 2,
      "average_complete_time": "0:0:0"
    },
    {
      "id": "396c9e546ab534644a8cf14ceec2959cb2caa465",
      "email": "user2@email.com",
      "signers": 1,
      "documents": 2,
      "sent_documents": 1,
      "signed_documents": 1,
      "average_complete_time": "1:16:14"
    }
  ],
  "meta": {
    "pagination": {
      "count": 2,
      "links": [],
      "total": 2,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 400

Wrong, expired, or missing token.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* The user isn't an admin or moderator of the organization.
* The user doesn't have an active trial, Professional, or Enterprise subscription.

**Example** (`No subscription`)

```json
{
  "errors": [
    {
      "code": 12003002,
      "message": "Access denied for current subscription."
    }
  ]
}
```

**Example** (`Not an admin or moderator`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

### 404

The organization doesn't exist or isn't active.

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `0aa11112b0ed40aab8cab111a76a6eea07f0000e` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{org_id}/users-activity" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org-id-users-activity*
